## ---- echo=FALSE--------------------------------------------------------------
library(BiocStyle)
self <- Githubpkg("ArtifactDB/alabaster.se")
knitr::opts_chunk$set(error=FALSE, warning=FALSE, message=FALSE)

## -----------------------------------------------------------------------------
library(SummarizedExperiment)
example(SummarizedExperiment, echo=FALSE) # can't be bothered to copy it here.
rse

library(alabaster.se)
tmp <- tempfile()
dir.create(tmp)
meta <- stageObject(rse, tmp, "se")
.writeMetadata(meta, tmp)

list.files(tmp, recursive=TRUE)

## -----------------------------------------------------------------------------
meta <- acquireMetadata(tmp, "se/experiment.json")
roundtrip <- loadObject(meta, tmp)
class(roundtrip)

## -----------------------------------------------------------------------------
sessionInfo()

